# -*- coding: utf-8 -*-




<Game>:
    name: "Game"
    RelativeLayout:
        size_hint: 1,1
        canvas.before:
            Color:
                rgba: bg_col
            Rectangle:
                size: self.size
                pos: self.pos


        Label_f:
            text: strs.zaman
            font_size: 28
            color: 0,0,0,1
            size_hint: None, None

            pos_hint: {'right':0.6, 'y':0.1}

        Label:
            text: "0.0"
            id: ref_time
            font_size: 35
            color: 0,0,0,1
            size_hint: None, None
            pos_hint: {'right':0.45, 'y':0.1}


        BoxLayout:
            canvas.before:
                Color:
                    rgba: 220/256, 220/256, 230/256, 1
                RoundedRectangle:
                    size: self.size
                    pos: self.pos
                    radius: [5,5,5,5]

            size_hint: .7,None
            height: 60
            pos_hint:{'center_x':.5, 'y':.02}
            spacing: 5
            padding: 10,0,10,0

            BButton_f:
                text: strs.azmoon_stop
                id: astp_btn
                disabled: True
                on_release: root.a_stop()

            BButton_f:
                text: strs.Next
                id: nxt_btn
                disabled: True
                on_release: root.Next()

            BButton_f:
                text: strs.resume
                id: rsm_btn
                disabled: True
                on_release: root.resume()

            BButton_f:
                text: strs.stop
                id: stp_btn
                disabled: True
                on_release: root.stop()

            BButton_f:
                text: strs.start
                id: strt_btn
                on_release: root.start()


        Label_f:
            id: game_name_lb
            text: strs.game_name
            size_hint: None, None
            size: 300,80
            font_size: 28
            color: 0,0,0,1
            pos_hint:{'top':.95,'right':1}

        Label_f:
            id: game_name
            canvas.before:
                Color:
                    rgba: 1,1,1,.3
                RoundedRectangle:
                    size: self.size
                    pos:self.pos
                    radius: [10,10,10,10]

            text: root.game_name
            size_hint: None, None
            size: 200,60
            font_size: 28
            color: 0,0,0,1
            pos_hint:{'top':.94,'right':0.8}

        BoxLayout:
            orientation: "vertical"
            size_hint:.55,.6
            pos_hint:{"center_x":.5, "center_y":.5}

            canvas.before:
                Color:
                    rgba: 220/256,220/256,230/256,1
                RoundedRectangle:
                    size: self.size
                    pos: self.pos
                    radius: [20]
            spacing: 10
            padding: 8

            BoxLayout:
                orientation: "vertical"
                size_hint_y:.3
                canvas.before:
                    Color:
                        rgba: 224/256, 255/256, 255/256, 1
                    RoundedRectangle:
                        size: self.size
                        pos: self.pos
                        radius: [10,10,0,0]

                Label_f:
                    text: strs.next_player
                    size_hint: None, None
                    size: self.texture_size
                    color: 0,0,0,1
                    font_size: 18
                    pos_hint:{"top":.97,"center_x":.5}

                BoxLayout:
                    size_hint_y:.7
                    padding: 10
                    spacing: 20

                    Label_f:
                        id: next_player_sex
                        text_size: self.size
                        valign: "center"
                        halign: "right"
                        text: ""
                        color: 0,0,0,1

                    Label_f:
                        text: strs.sex
                        color: 0,0,0,1
                    Label_f:
                        id: next_player_name
                        size_hint: None,None
                        width: 300
                        height: 40
                        text_size: self.size
                        valign: "center"
                        halign: "right"
                        text: ""
                        color: 0,0,0,1
                        pos_hint:{"center_y":.5}

                    Label_f:
                        text: strs.name
                        size_hint: None, None
                        size: self.texture_size
                        color: 0,0,0,1
                Label:


            BoxLayout:
                orientation: "vertical"
                size_hint_y:.7
                canvas.before:
                    Color:
                        rgba: 183/256, 228/256, 239/256,1
                    RoundedRectangle:
                        size: self.size
                        pos: self.pos
                        radius: [0,0,10,10]
                Label_f:
                    text: strs.now_player
                    color: 0,0,0,1
                    font_size: 18
                    size_hint: None,None
                    size: self.texture_size
                    pos_hint:{"top":1, "center_x":.5}

                BoxLayout:
                    size_hint_y: .3
                    padding: 10
                    spacing:5

                    Label_f:
                        id: crnt_player_birthdate
                        text_size: self.size
                        valign: "center"
                        halign: "right"
                        text: ""
                        font_size: 18
                        color: 0,0,0,1
                    Label_f:
                        text: strs.birthdate
                        color: 0,0,0,1
                        font_size: 18

                    Label_f:
                        id: crnt_player_sex
                        text_size: self.size
                        valign: "center"
                        halign: "right"
                        text: ""
                        font_size: 18
                        size_hint_x: None
                        width: 50
                        color: 0,0,0,1
                    Label_f:
                        text: strs.sex
                        color: 0,0,0,1
                        font_size: 18

                    Label_f:
                        id: crnt_player_name
                        text_size: self.size
                        valign: "center"
                        halign: "right"
                        text: ""
                        color: 0,0,0,1
                        font_size: 18
                    Label_f:
                        text: strs.name
                        color: 0,0,0,1
                        font_size: 18





                BoxLayout:
                    orientation: "vertical"
                    size_hint: .9,.5
                    pos_hint: {"center_x":.5}
                    canvas.before:
                        Color:
                            rgba: 1,1,1,1
                        Line:
                            width:1
                            rectangle: self.x, self.y, self.width, self.height
                    BoxLayout:
                        size_hint_y: None
                        height:20
                        Label_f:
                            size_hint_x: .23
                            text: strs.try_3
                            color: .3,.1,.1,1
                            font_size: 18

                        Label_f:
                            size_hint_x: .23
                            text: strs.try_2
                            color: .3,.1,.1,1
                            font_size: 18

                        Label_f:
                            size_hint_x: .23
                            text: strs.try_1
                            color: .3,.1,.1,1
                            font_size: 18

                        Label:
                            size_hint_x: .3

                    BoxLayout:
                        padding: 2
                        spacing: 2

                        BoxLayout:
                            orientation: "vertical"
                            size_hint_x: .23
                            canvas.before:
                                Color:
                                    rgba: 0,0,1,.1
                                RoundedRectangle:
                                    size: self.size
                                    pos: self.pos
                                    radius: [3]
                            Label:
                                id: try_3_react
                                text: "0.0"
                                font_size: 16
                                color: 0,0,0,1
                            Label:
                                id: try_3_move
                                text: "0.0"
                                font_size: 16
                                color: 0,0,0,1
                            Label:
                                id: try_3_resp
                                text: "0.0"
                                font_size: 16
                                color: 0,0,0,1

                        BoxLayout:
                            orientation: "vertical"
                            size_hint_x: .23
                            canvas.before:
                                Color:
                                    rgba: 0,0,1,.1
                                RoundedRectangle:
                                    size: self.size
                                    pos: self.pos
                                    radius: [3]
                            Label:
                                id: try_2_react
                                text: "0.0"
                                font_size: 16
                                color: 0,0,0,1
                            Label:
                                id: try_2_move
                                text: "0.0"
                                font_size: 16
                                color: 0,0,0,1
                            Label:
                                id: try_2_resp
                                text: "0.0"
                                font_size: 16
                                color: 0,0,0,1

                        BoxLayout:
                            orientation: "vertical"
                            size_hint_x: .23
                            canvas.before:
                                Color:
                                    rgba: 0,0,1,.1
                                RoundedRectangle:
                                    size: self.size
                                    pos: self.pos
                                    radius: [3]
                            Label:
                                id: try_1_react
                                text: "0.0"
                                font_size: 16
                                color: 0,0,0,1
                            Label:
                                id: try_1_move
                                text: "0.0"
                                font_size: 16
                                color: 0,0,0,1
                            Label:
                                id: try_1_resp
                                text: "0.0"
                                font_size: 16
                                color: 0,0,0,1
                        BoxLayout:
                            orientation: "vertical"
                            size_hint_x: .3
                            canvas.before:
                                Color:
                                    rgba: 1,1,0,0
                                Rectangle:
                                    size: self.size
                                    pos: self.pos
                            Label_f:
                                text: strs.reaction_time
                                color: 0,0,0,1
                                font_size: 18
                            Label_f:
                                text: strs.movement_time
                                color: 0,0,0,1
                                font_size: 18
                            Label_f:
                                text: strs.response_time
                                color: 0,0,0,1
                                font_size: 18


                Label:
                    size_hint_y: .01


        Keypad:
            id: keypad
            disabled: True
            pos_hint: {'x':.05, 'y':.15}

        BoxLayout:
            id: additional_setting
            size_hint:0.2,0.3
            pos_hint:{"right":0.98, "center_y":0.5}
            canvas.before:
                Color:
                    rgba: 224/256, 255/256, 255/256, 1
                RoundedRectangle:
                    size:self.size
                    pos:self.pos
                    radius: [10,10,10,10]